#include "document.h"

void doc_changed(GtkWidget *widget, struct cmj *codemonkey)
{
	if(codemonkey->current->modified == 0)
	{
		gchar *label;
		gchar new_label[50];

		codemonkey->current->modified = 1;

		gtk_label_get(GTK_LABEL(codemonkey->current->doc_label), &label);
		g_snprintf(new_label,sizeof(new_label),"%s*", label);
		gtk_label_set_text(GTK_LABEL(codemonkey->current->doc_label), new_label);
	}
}

void doc_saved(struct cmj *codemonkey)
{
	gchar *label;
	gchar new_label[50];
	gchar tmp[50];
	gchar *tmp_ptr;

	gtk_label_get(GTK_LABEL(codemonkey->current->doc_label), &label);
	strcpy(tmp, label);
	tmp_ptr = strchr(tmp,'*');
	if(tmp_ptr)
	{
		*tmp_ptr = '\0';
	}
	g_snprintf(new_label,sizeof(new_label),tmp);
	gtk_label_set_text(GTK_LABEL(codemonkey->current->doc_label), new_label);
}

char * get_class_name(char * file_name)
{
	gchar tmp_file_name[MAXLEN];
	gchar *class_name;
	gint i = 0;
	gint j = 0;
	gint length_0 = 0;
	gint length_1 = 0;

	class_name = NULL;

	strcpy(tmp_file_name, file_name);
	length_0 = strlen(tmp_file_name);

	for(i=length_0;i>=0;i--)
	{
		if(tmp_file_name[i] == '.')
		{
			tmp_file_name[i] = '\0';
			break;
		}
	} 

	length_1 = strlen(tmp_file_name);

	for(j=length_1;j>=0;j--)
	{
		if(tmp_file_name[j] == '/')
		{
			class_name = &tmp_file_name[j+1];
			break;
		}
	}

	return class_name;
}

char * get_class_path(char * file_name)
{
	gchar tmp_file_name[MAXLEN];
	gchar *class_path;

	gint i =0;
	gint length_0 = 0;

	class_path = NULL;
	
	strcpy(tmp_file_name, file_name);
	length_0 = strlen(tmp_file_name);
	class_path = &tmp_file_name[0];

	for(i=length_0;i>=0;i--)
	{
		if(tmp_file_name[i] == '/')
		{
			tmp_file_name[i] = '\0';
			break;
		}
	}

	return class_path;
}

char * get_display_name(char * file_name)
{
	gchar tmp_file_name[MAXLEN];
	gchar *display_name;

	gint i = 0;
	gint length_0 = 0;

	display_name = NULL;

	strcpy(tmp_file_name, file_name);
	length_0 = strlen(tmp_file_name);

	for(i=length_0;i>=0;i--)
	{
		if(tmp_file_name[i] == '/')
		{
			i++;
			display_name = &tmp_file_name[i];
			break;
		}
	}

	return display_name;
}
