/*** CodeMonkey Java Editor             ***/
/*** VAB [vab@metanet.org]              ***/
/*** http://www.metanet.org/people/vab/ ***/
#include "cmj.h"

int main(int argc, char *argv[])
{
	struct		cmj	*codemonkey;
	GtkWidget	*root_table;
	GtkWidget	*menu_bar;
	GtkWidget	*tool_bar;
	GtkWidget	*status_bar;
	

	gnome_init("_(CodeMonkey: Java)","0.1",argc, &argv);

	codemonkey = (struct cmj *)g_malloc(sizeof(struct cmj));
		if(codemonkey == NULL) g_print("Unable to malloc!\n");

	codemonkey->app = gnome_app_new("CodeMonkey: Java", "CodeMonkey: Java");
	
	gtk_window_set_policy(GTK_WINDOW(codemonkey->app),FALSE,TRUE,FALSE);
	gtk_window_set_default_size(GTK_WINDOW(codemonkey->app),700,700);
	gtk_window_set_wmclass(GTK_WINDOW(codemonkey->app),"jide","CodeMonkey: Java");

	codemonkey->notebook = gtk_notebook_new();
	codemonkey->doc_list = g_list_alloc();
	
	gtk_signal_connect(GTK_OBJECT(codemonkey->notebook), "switch_page", GTK_SIGNAL_FUNC(nb_activate), codemonkey);

	root_table = gtk_table_new(3,1,FALSE);
	
	status_bar = gnome_appbar_new(FALSE,TRUE,GNOME_PREFERENCES_NEVER);
	gnome_app_set_statusbar(GNOME_APP(codemonkey->app), status_bar);

	gnome_app_set_contents(GNOME_APP(codemonkey->app), root_table);

	set_up_menubar(codemonkey, &menu_bar);
	set_up_toolbar(codemonkey);


	gtk_table_attach(GTK_TABLE(root_table),codemonkey->notebook,0,1,3,4,GTK_EXPAND|GTK_FILL,GTK_FILL|GTK_EXPAND,0,0);
	gtk_notebook_set_scrollable(GTK_NOTEBOOK(codemonkey->notebook),TRUE);

	codemonkey->current = NULL;
	codemonkey->untitled = 0;
	codemonkey->nb_pages = -1;
	
	gtk_signal_connect(GTK_OBJECT(codemonkey->app), "destroy",
			GTK_SIGNAL_FUNC(gtk_main_quit), "WM destroy");

	gtk_widget_show(codemonkey->notebook);
	gtk_widget_show(root_table);
	gtk_widget_show(codemonkey->app);

	gtk_main();
	
	destroy_editor(codemonkey->current);
	g_free(codemonkey);
	return 0;
}

static void nb_activate(GtkWidget *widget, GtkNotebookPage *page, guint page_num, struct cmj *codemonkey)
{
	page_num++;
	codemonkey->current = (struct cmj_doc *) g_list_nth_data(codemonkey->doc_list, page_num);
}
