/*** edit.h ***/

#include <gtk/gtk.h>

#include "datastructures.h"
#include "gtkextext.h"

void edit_undo(GtkWidget *widget, struct cmj *codemonkey);
void edit_redo(GtkWidget *widget, struct cmj *codemonkey);
void edit_cut(GtkWidget  *widget, struct cmj *codemonkey);
void edit_copy(GtkWidget *widget, struct cmj *codemonkey);
void edit_paste(GtkWidget *widget, struct cmj *codemonkey);
void edit_clear(GtkWidget *widget, struct cmj *codemonkey);
void edit_select_all(GtkWidget *widget, struct cmj *codemonkey);

extern void undo_list_add(GList *undo_list, char *text, gint start, gint end);
extern void redo_list_add(GList *redo_list, char *text, gint start, gint end);
extern void undo_all(struct cmj_doc *cmj_document);
extern void redo_all(struct cmj_doc *cmj_document);
extern void undo(struct cmj_doc *cmj_document);
extern void redo(struct cmj_doc *cmj_document);

extern void nyi(GtkWidget *widget, struct cmj *codemonkey);
