#include <stdio.h>
#include <gtk/gtk.h>

#include "defs.h"
#include "datastructures.h"
#include "gtkextext.h"
#include "highlight.h"

void file_new(GtkWidget *widget, struct cmj *codemonkey);
void file_open(GtkWidget *widget, struct cmj *codemonkey);
void file_save(GtkWidget *widget, struct cmj *codemonkey);
void file_save_as(GtkWidget *widget, struct cmj *codemonkey);
void file_close(GtkWidget *widget, struct cmj *codemonkey);
void file_close_all(GtkWidget *widget, struct cmj *codemonkey);
void file_quit(GtkWidget *widget, struct cmj *codemonkey);

void save_as_dlog_ok(GtkWidget *file_dlog, struct cmj *codemonkey);
void open_dlog_ok(GtkWidget *file_dlog, struct cmj *codemonkey);
void open_dlog_cancel(GtkWidget *file_dlog, struct cmj *codemonkey);
void write_file(struct cmj *codemonkey);
void load_file(struct cmj *codemonkey);

extern	void	doc_changed(GtkWidget *widget, struct cmj *codemonkey);
extern	void	doc_saved(struct cmj *codemonkey);

extern	char	* get_class_name(char * file_name);
extern	char	* get_class_path(char * file_name);
extern	char	* get_display_name(char * file_name);

extern	void	build_new_editor(struct cmj_doc *current);
extern	void	destroy_editor(struct cmj_doc *current);

extern	gint	save_unsaved(struct cmj *codemonkey);
